import { LitElement } from 'lit';
declare global {
    interface HTMLElementTagNameMap {
        'play-resizable-text-input': PlayResizableTextInput;
    }
}
export declare class PlayResizableTextInput extends LitElement {
    #private;
    static styles: import("lit").CSSResult;
    text: string;
    placeholder: string;
    protected render(): import("lit-html").TemplateResult<1>;
    protected updated(): void;
}
